CVE-2019-6496 Details

CVE-2019-6496

Published: 2019-01-20
Last Modified: 2019-02-28
CVE Author: NIST National Vulnerability Database
CVE Assigner: cve@mitre.org
Summary

The ThreadX-based firmware on Marvell Avastar Wi-Fi devices, models 88W8787, 88W8797, 88W8801, 88W8897, and 88W8997, allows remote attackers to execute arbitrary code or cause a denial of service (block pool overflow) via malformed Wi-Fi packets during identification of available Wi-Fi networks. Exploitation of the Wi-Fi device can lead to exploitation of the host application processor in some cases, but this depends on several factors including host OS hardening and the availability of DMA.

Analysis
Common Vulnerability Score System v2.0
Severity High
Base Score 8.3/10
Exploit Score 6.5/10
Access Vector Adjacent_network
Access Complexity Low
Authentication None
Impact Score 10/10
Confidentiality Impact Complete
Availability Impact Complete
Integrity Impact Complete
Vector String AV:A/AC:L/Au:N/C:C/I:C/A:C
Common Vulnerability Score System v3.1
Severity High
Base Score 8.8/10
Exploit Score 2.8/10
Access Vector Adjacent_network
Access Complexity Low
Privileges Required None
Impact Score 5.9/10
Confidentiality Impact High
Availability Impact High
Integrity Impact High
Scope Unchanged
User Interaction None
Vector String CVSS:3.0/AV:A/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H
Products Reported
CPE Vulnerable Start Excluding
cpe:2.3:o:marvell:88w8787_firmware:-:*:*:*:*:*:*:* Yes - -
cpe:2.3:h:marvell:88w8787:-:*:*:*:*:*:*:* No - -
cpe:2.3:o:marvell:88w8797_firmware:-:*:*:*:*:*:*:* Yes - -
cpe:2.3:h:marvell:88w8797:-:*:*:*:*:*:*:* No - -
cpe:2.3:o:marvell:88w8801_firmware:-:*:*:*:*:*:*:* Yes - -
cpe:2.3:h:marvell:88w8801:-:*:*:*:*:*:*:* No - -
cpe:2.3:o:marvell:88w8897_firmware:-:*:*:*:*:*:*:* Yes - -
cpe:2.3:h:marvell:88w8897:-:*:*:*:*:*:*:* No - -
cpe:2.3:o:marvell:88w8997_firmware:-:*:*:*:*:*:*:* Yes - -
cpe:2.3:h:marvell:88w8997:-:*:*:*:*:*:*:* No - -
References

http://www.securityfocus.com/bid/106865
https://2018.zeronights.ru/wp-content/uploads/materials/19-Researching-Marvell-Avastar-Wi-Fi.pdf
https://embedi.org/blog/remotely-compromise-devices-by-using-bugs-in-marvell-avastar-wi-fi-from-zero-knowledge-to-zero-click-rce/
https://www.kb.cert.org/vuls/id/730261/
https://www.scribd.com/document/398350818/WiFi-CVE-2019-6496-Marvell-s-Statement
https://www.synology.com/security/advisory/Synology_SA_19_07
https://www.zdnet.com/article/wifi-firmware-bug-affects-laptops-smartphones-routers-gaming-devices/

CVE ID
CVE-2019-6496
Published
2019-01-20
Modified
2019-02-28
CVSSv2.0
High
CVSSv3.1
High
PCI Compliance
Fail
US-CERT Alert
No
CWE
CWE-20

You never have to pay for a vulnerability scanning and management software again.

Tired of paying a subscription 'per asset' or 'per IP'? Well you can officially cancel your current subscription. Mageni provides a free, open source and enterprise-ready vulnerability scanning and management platform which helps you to find, prioritize, remediate and manage your vulnerabilities.